import { Component, Input } from '@angular/core';
import { environment } from 'src/environments/environment';
import { Image, ImagesService } from '../services/images.service';

@Component({
  selector: 'app-image',
  templateUrl: './image.component.html',
  styleUrls: ['./image.component.scss']
})
export class ImageComponent {
    @Input()
    public image?: Image | null;
    public environment = environment;

    public async like() {
        this.image = await this.images.like(this.image!.id);
    }
    public async unlike() {
        this.image = await this.images.unlike(this.image!.id);
    }

    public constructor(public images: ImagesService) {}
}
